Summary:             Simple program for spawning FastCGI processes
Name:                spawn-fcgi
Version:             1.6.4
Release:             2
License:             BSD-3-Clause
URL:                 https://github.com/lighttpd/spawn-fcgi
Source0:             https://github.com/lighttpd/%{name}/archive/%{name}-%{version}.tar.gz
Source1:             spawn-fcgi.init
Source2:             spawn-fcgi.sysconfig
Requires(post):      /sbin/chkconfig
Requires(preun):     /sbin/service, /sbin/chkconfig
BuildRequires:       gcc autoconf automake

%description
This package contains the spawn-fcgi program used for spawning FastCGI
processes, which can be local or remote.

%prep
%autosetup -n spawn-fcgi-%{name}-%{version}

%build
./autogen.sh
./configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__install} -D -p -m 0755 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/init.d/spawn-fcgi
%{__install} -D -p -m 0600 %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/sysconfig/spawn-fcgi
mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}%{_usr}/local/bin/spawn-fcgi %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1/
mv %{buildroot}%{_usr}/local/share/man/man1/spawn-fcgi.1* %{buildroot}%{_mandir}/man1/

%post
/sbin/chkconfig --add spawn-fcgi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service spawn-fcgi stop &>/dev/null || :
    /sbin/chkconfig --del spawn-fcgi
fi

%files
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/init.d/spawn-fcgi
%config(noreplace) %{_sysconfdir}/sysconfig/spawn-fcgi
%{_bindir}/spawn-fcgi
%{_mandir}/man1/spawn-fcgi.1*

%changelog
* Fri Jul 9 2021 zhangtao <zhangtao221@huawei.com> - 1.6.4-2
- add buildrequire autoconf and automake
* Sat Jan 9 2021 chengzihan <chengzihan2@huawei.com> - 1.6.4-1
- Package init
